Subject: Re: tkinter in python? (was: Re: fetchmail on cygwin)
From: Jason Tishler <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: David Monk <[email-masked]>, [email-masked]
Date: Tue, 25 Sep 2001 10:03:07 -0400

Gerrit,
David,

On Tue, Sep 25, 2001 at 01:09:36PM +0200, Gerrit P. Haase wrote:
> > David Monk schrieb am 2001-09-24 12:53:
> 
> >I have just started trying to use fetchmail on cygwin. We have no MTA or MDA
> >in cygwin, so how would one use fetchmail?

As Gerrit has mentioned you can get a pre-built procmail from:

    http://www.dd.iij4u.or.jp/~madokam/

One can use procmail as a MDA so there is no need to install a SMTP
server, unless you need it for other reasons.
    
> [snip]
> ImportError: No module named _tkinter
> 
> It works great on cygwin.  I wonder why Jason didn't build it.  Jason?

I didn't build it because I was waiting for someone to submit a patch
to Python CVS so that it builds OOTB under Cygwin.  Note that I'm not
a tkinter user so I didn't have that itch.

> I have it build at home and it compiles OOTB. (latest version from CVS).

Yes, it does with X installed thanks to Jeff Epler:

    http://sourceforge.net/tracker/index.php?func=detail&aid=443669&group_id=5470&atid=305470

and without X installed with a little tweak by me:

    http://sourceforge.net/tracker/index.php?func=detail&aid=462258&group_id=5470&atid=305470

By "X installed" above, I mean that the X header files can be found in
/usr/include/X11.

> I think he will release a new version soon.

Sigh.  I was about to release Cygwin Python 2.1.1-2 last week with the
following new features:

    threads support
    tkinter support
    resource module
    test_strftime passes
    test_poll passes (and does not hang anymore)

The distribution was built, packaged, and ready to upload to sources.
Unfortunately, when I ran make test, I found the following problems that
I did not observe with Python CVS (which is what I used for development
and testing):

    http://www.cygwin.com/ml/cygwin-developers/2001-09/msg00435.html

In a separate email, I am going to ask to community whether they want
threads turn on in my next release or whether I should hold off until
these issues are resolved.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/